org.richfaces.renderkit.html.images

## Class OneColorBasedResource

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.images.OneColorBasedResource

- All Implemented Interfaces:
    Java2DUserResource, StateHolderResource
  Direct Known Subclasses:
    InputErrorIcon

      public abstract class OneColorBasedResource
      extends AbstractJava2DUserResource
      implements StateHolderResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OneColorBasedResource(Dimension dimension, String basicColorParamName)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Color` | `getBasicColor()` Gets value of basicColor field.
    `boolean` | `isTransient()`
    `abstract void` | `paint(Graphics2D graphics2d)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OneColorBasedResource

          public OneColorBasedResource(Dimension dimension,
                                       String basicColorParamName)

  - ### Method Detail

    - #### getBasicColor

          protected Color getBasicColor()

      Gets value of basicColor field.
      Returns:
        value of basicColor field

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                                 DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                                DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### paint

          public abstract void paint(Graphics2D graphics2d)

      Specified by:
        `paint` in interface `Java2DUserResource`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.